# Returns custom fields for the specified project.

GET https://api.awork.com/api/v1/projects/{projectId}/customfielddefinitions

Returns definitions linked directly to the project or through a workflow.
            <Check title="Required Permissions" icon="key">The user must have `project-master-data:read` permission or access to at least one task in the project.</Check>

## Request example

```sh
curl -X GET --globoff 'https://api.awork.com/api/v1/projects/{projectId}/customfielddefinitions' \
  -H 'Authorization: Bearer <token>'
```

- path parameter `projectId`: string (required). The id of the project.

## Response 200

OK

application/json

```json
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Ticket-Number",
    "entity": "task",
    "type": "text",
    "createdOn": "2022-03-10T16:25:09.100Z",
    "createdBy": "123e4567-e89b-12d3-a456-426614174000",
    "updatedOn": "2022-03-10T18:55:00.500Z",
    "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
    "order": 1,
    "isExternal": true,
    "selectionOptions": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "value": "Website Design",
        "color": "purple",
        "order": 0
      }
    ]
  }
]
```

## Response 401

Unauthorized

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```

## Response 404

Not Found

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```
